# Class RcsbFvSelectorManager

#### Hierarchy

- RcsbFvSelectorManager

- Defined in src/RcsbFvState/RcsbFvSelectorManager.ts:12

#####
Index

### Constructors

constructor

### Properties

hover
lastSelection
selection

### Methods

addSelectionFromMultipleRegions
addSelectionFromRegion
clearSelection
getLastSelection
getSelection
getSelectionWithCondition
selectFromMultipleRegions
selectFromRegion
selectionSource
setLastSelection
setSelectionFromResidueSelection

## Constructors

### constructor

- new RcsbFvSelectorManager(): RcsbFvSelectorManager

- #### Returns RcsbFvSelectorManager

## Properties

### `Private` hover

hover: SaguaroRegionList[] = ...

- Defined in src/RcsbFvState/RcsbFvSelectorManager.ts:16

### `Private` lastSelection

lastSelection: null | SaguaroRegionList & {
source: "sequence" | "structure";
} = null

- Defined in src/RcsbFvState/RcsbFvSelectorManager.ts:14

### `Private` selection

selection: SaguaroRegionList[] = ...

- Defined in src/RcsbFvState/RcsbFvSelectorManager.ts:15

## Methods

### addSelectionFromMultipleRegions

- addSelectionFromMultipleRegions(regions, mode): void

- #### Parameters

  - ##### regions: (SaguaroChain & {
    region: RegionSelectionInterface;
    })[]

  - ##### mode: "select" | "hover"

  #### Returns void

  - Defined in src/RcsbFvState/RcsbFvSelectorManager.ts:40

### `Private` addSelectionFromRegion

- addSelectionFromRegion(modelId, labelAsymId, region, mode, operatorName?): void

- #### Parameters

  - ##### modelId: string

  - ##### labelAsymId: string

  - ##### region: RegionSelectionInterface

  - ##### mode: "select" | "hover"

  - ##### `Optional` operatorName: string

  #### Returns void

  - Defined in src/RcsbFvState/RcsbFvSelectorManager.ts:24

### clearSelection

- clearSelection(mode, selection?): void

- #### Parameters

  - ##### mode: "select" | "hover"

  - ##### `Optional` selection: Partial<SaguaroChain>

  #### Returns void

  - Defined in src/RcsbFvState/RcsbFvSelectorManager.ts:77

### getLastSelection

- getLastSelection(): null | SaguaroRegionList & {
  source: "sequence" | "structure";
  }

- #### Returns null | SaguaroRegionList & {
  source: "sequence" | "structure";
  }

  - Defined in src/RcsbFvState/RcsbFvSelectorManager.ts:61

### getSelection

- getSelection(mode): SaguaroRegionList[]

- #### Parameters

  - ##### mode: "select" | "hover"

  #### Returns SaguaroRegionList[]

  - Defined in src/RcsbFvState/RcsbFvSelectorManager.ts:54

### getSelectionWithCondition

- getSelectionWithCondition(modelId, labelAsymId, mode, operatorName?): undefined | SaguaroRegionList

- #### Parameters

  - ##### modelId: string

  - ##### labelAsymId: string

  - ##### mode: "select" | "hover"

  - ##### `Optional` operatorName: string

  #### Returns undefined | SaguaroRegionList

  - Defined in src/RcsbFvState/RcsbFvSelectorManager.ts:69

### selectFromMultipleRegions

- selectFromMultipleRegions(operation, regions, mode): void

- #### Parameters

  - ##### operation: "set" | "add"

  - ##### regions: {
    labelAsymId: string;
    modelId: string;
    operatorName?: string;
    region: RegionSelectionInterface;
    }[]

  - ##### mode: "select" | "hover"

  #### Returns void

  - Defined in src/RcsbFvState/RcsbFvSelectorManager.ts:32

### selectFromRegion

- selectFromRegion(operation, modelId, labelAsymId, region, mode, operatorName?): void

- #### Parameters

  - ##### operation: "set" | "add"

  - ##### modelId: string

  - ##### labelAsymId: string

  - ##### region: RegionSelectionInterface

  - ##### mode: "select" | "hover"

  - ##### `Optional` operatorName: string

  #### Returns void

  - Defined in src/RcsbFvState/RcsbFvSelectorManager.ts:18

### selectionSource

- selectionSource(mode, region): undefined | "sequence" | "structure"

- #### Parameters

  - ##### mode: "select" | "hover"

  - ##### region: SaguaroChain & SaguaroRange

  #### Returns undefined | "sequence" | "structure"

  - Defined in src/RcsbFvState/RcsbFvSelectorManager.ts:92

### setLastSelection

- setLastSelection(selection): void

- #### Parameters

  - ##### selection: null | SaguaroRegionList & {
    source: "sequence" | "structure";
    }

  #### Returns void

  - Defined in src/RcsbFvState/RcsbFvSelectorManager.ts:65

### setSelectionFromResidueSelection

- setSelectionFromResidueSelection(res, mode, source): void

- #### Parameters

  - ##### res: SaguaroSet[]

  - ##### mode: "select" | "hover"

  - ##### source: "sequence" | "structure"

  #### Returns void

  - Defined in src/RcsbFvState/RcsbFvSelectorManager.ts:46

Generated using TypeDoc